﻿using DynamicData.Binding;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace WpfApp1
{
    public class MainWindowViewmodel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;


        public MainWindowViewmodel()
        {
            ItemsView = new ListCollectionView(Items);
        }
        
        public ObservableCollection<Tuple<string, string>> EnabledProducts { get; } = new ObservableCollection<Tuple<string, string>>() {
            new Tuple<string, string>("Product 1","Product1"),
            new Tuple<string, string>("Product 2","Product2"),
            new Tuple<string, string>("Product 3","Product3")
        };


        public ObservableCollectionExtended<Product> Items { get; } = new ObservableCollectionExtended<Product>();
        
        public ListCollectionView ItemsView {get;}



    }
}
